Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_detailed_domain = client.waap.domains.get(
1,
)
print(waap_detailed_domain.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapDetailedDomain, err := client.Waap.Domains.Get(context.TODO(), 1)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapDetailedDomain.ID)
}
curl --request GET \
--url https://api.gcore.com/waap/v1/domains/{domain_id} \
--header 'Authorization: <api-key>'const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/waap/v1/domains/{domain_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"custom_page_set": 123,
"created_at": "2023-11-07T05:31:56Z",
"aliases": [
"<string>"
],
"quotas": {
"firewall-rules": {
"allowed": 5,
"current": 2
}
}
}{
"type": "http-bad-request",
"title": "Bad Request",
"status": 400,
"detail": "Invalid domain name: ''''"
}{
"detail": "Auth token is missing or invalid"
}{
"detail": "Permission denied"
}{
"type": "http-not-found",
"title": "Not Found",
"status": 404,
"detail": "The resource is not found"
}{
"type": "request-validation-failed",
"title": "Request validation error.",
"status": 422,
"detail": "One or more fields have validation errors.",
"errors": [
{
"loc": [
"body",
"name"
],
"detail": "Input should be a valid string"
},
{
"loc": [
"body",
"date"
],
"detail": "Field required"
},
{
"loc": [
"query",
"limit"
],
"detail": "Field required"
}
]
}{
"type": "internal-server-error",
"title": "Internal server error.",
"status": 500,
"detail": "An unexpected condition was encountered which prevented the server from fulfilling the request."
}Domains
Get Domain
Retrieve detailed information about a specific domain
GET
/
waap
/
v1
/
domains
/
{domain_id}
Python
import os
from gcore import Gcore
client = Gcore(
api_key=os.environ.get("GCORE_API_KEY"), # This is the default and can be omitted
)
waap_detailed_domain = client.waap.domains.get(
1,
)
print(waap_detailed_domain.id)package main
import (
"context"
"fmt"
"github.com/G-Core/gcore-go"
"github.com/G-Core/gcore-go/option"
)
func main() {
client := gcore.NewClient(
option.WithAPIKey("My API Key"),
)
waapDetailedDomain, err := client.Waap.Domains.Get(context.TODO(), 1)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", waapDetailedDomain.ID)
}
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
The domain ID
Response
Successful Response
Represents a WAAP domain, serving as a singular unit within the WAAP service.
Each domain functions autonomously, possessing its own set of rules and configurations to manage web application firewall settings and behaviors.
The domain ID
The domain name
Maximum string length:
255The ID of the custom page set
The different statuses a domain can have
Available options:
active, bypass, monitor, locked The date and time the domain was created in ISO 8601 format
CNAME aliases pointing at this domain's CDN resource
Domain level quotas
Show child attributes
Show child attributes
Example:
{
"firewall-rules": { "allowed": 5, "current": 2 }
}
Was this page helpful?
⌘I